[Overview][Classes][Index] | Reference for unit 'nullstream' (#fcl)

# TNullStream.Write

Write to stream

## Declaration

Source position: nullstream.pp line 41

`public function TNullStream.Write(`
`const Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Buffer to write data from (ignored)
`Count` |  | Max number of bytes to write.

## Function result

Always equal to Count

## Description

Write simulates a write operation: no data is actually written from Buffer, but the size of the stream is enlarged if the amount of bytes Count and current position in the stream make this necessary.

## See also

TNullStream.Read |  | Read null bytes from the stream
#rtl.classes.TStream.Size